#!/usr/bin/perl -w
#
# File:   uptime.pl
# Object: uptime performances data extractor.
# Release: 0.1b1 - Sun Oct 20 13:15:04 CEST 2002
# 
# Copyright (C) 2002 "Freddy Frouin" <freddy.frouin@fluxus.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
################################################################################

&usage unless ($#ARGV == 0);

my $data = $ARGV[0];
my ($LOAD5,$LOAD10,$LOAD15);

if ($data =~ /load average: ([\d\.]+), ([\d\.]+), ([\d\.]+)/) {
  ($LOAD5,$LOAD10,$LOAD15)=($1,$2,$3);
  print "LOAD5=$LOAD5\n";
  print "LOAD10=$LOAD10\n";
  print "LOAD15=$LOAD15\n";
} else {
  print "LOAD5=U\n";
  print "LOAD10=U\n";
  print "LOAD15=U\n";
}

sub usage {
  print "Usage: $0 \"12:52pm  up 1 day, 18:41,  5 users,  load average: 0.18, 0.15, 0.40\"\n";
  exit 1;
}
