#!/usr/bin/perl -w
#
# File:   ICMP.pl
# Object: ICMP performances data extractor.
# Author: Freddy Frouin <freddy.frouin@fluxus.net>
#
# Release: 0.1b2 - Sat Oct 12 15:40:39 CEST 2002
#          0.1b1 - Fri Sep 27 11:22:11 CEST 2002
# 
# Copyright (C) 2002 - Freddy Frouin
# Please take some time to read the LICENSE file.
#
################################################################################

&usage unless ($#ARGV == 0);

my $data = $ARGV[0];
my ($PL,$RTA);

if ($data =~ /Packet loss = ([\d\.\,]+)\%, RTA = ([\d\.\,]+ m?s)/) {
  ($PL,$RTA)=($1,$2);
  if ($RTA =~ /([\d\.\,]+) s/) {
    $RTA = $1*1000;
  } elsif ($RTA =~ /([\d\.\,]+) ms/) {
    $RTA = $1;
  }
  print "PL=$PL\nRTA=$RTA\n";
} else {
  print "PL=U\nRTA=U\n";
}

sub usage {
  print "Usage: $0 \"Packet loss = 10.2\%, RTA = 100.35 ms\"\n";
  exit 1;
}
